Fedora 20 : polkit-0.112-1.fc20 (2013-17160)

This script is Copyright (C) 2013 Tenable Network Security, Inc.


Synopsis :

The remote Fedora host is missing a security update.

Description :

This release fixes CVE-2013-4288: Race condition with process subjects
that do not have securely determined uid.

pkcheck(1) now supports a new format for the --process argument
all
applications need to use the new format to avoid a race condition (or
use --system-bus-name to identify the process instead).

Similarly, applications using the API should always use
polkit_unix_process_new_for_owner(). polkit_unix_process_new() and
polkit_unix_process_new_full() are unsafe and have been deprecated.

Thanks to Sebastian Krahmer of the SUSE Security Team for reporting
this issue.

See also :

https://bugzilla.redhat.com/show_bug.cgi?id=1002375
http://www.nessus.org/u?2b09e09b

Solution :

Update the affected polkit package.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.3
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Fedora Local Security Checks

Nessus Plugin ID: 70063 ()

Bugtraq ID: 62511

CVE ID: CVE-2013-4288